#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>

namespace Ui {
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::Dialog *ui;

	QString directory;
	int filecount;
	bool interrupted;

	bool invoke_oggenc(QString infile, QString outfile);
	void batch_convert(QString dir);

private slots:
	void on_pushButton_Location_clicked();
 void on_pushButton_Start_clicked();
	void on_pushButton_Abort_clicked();
};

#endif // DIALOG_H
